curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/destinations/" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import ListDestinationsRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.destinations.list_destinations(
request=ListDestinationsRequest()
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import ListDestinationsRequest
async def list_destinations():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.destinations.list_destinations_async(
request=ListDestinationsRequest()
)
print(response)
asyncio.run(list_destinations())
[
{
"id": "d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"name": "My S3 Destination",
"key": "my-s3-destination-d1e2f3",
"type": "s3",
"config": {
"remote_url": "s3://my-bucket/output/",
"aws_access_key_id": "AKIAIOSFODNN7EXAMPLE",
"aws_secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
},
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-15T12:00:00Z"
}
]
Destination
List destination connectors
Retrieve a list of available destination connectors.
GET
/
api
/
v1
/
destinations
/
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/destinations/" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import ListDestinationsRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.destinations.list_destinations(
request=ListDestinationsRequest()
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import ListDestinationsRequest
async def list_destinations():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.destinations.list_destinations_async(
request=ListDestinationsRequest()
)
print(response)
asyncio.run(list_destinations())
[
{
"id": "d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"name": "My S3 Destination",
"key": "my-s3-destination-d1e2f3",
"type": "s3",
"config": {
"remote_url": "s3://my-bucket/output/",
"aws_access_key_id": "AKIAIOSFODNN7EXAMPLE",
"aws_secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
},
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-15T12:00:00Z"
}
]
Query parameters
Filter by connector type. One of:
azure, astradb, azure_ai_search, couchbase, databricks_volumes, databricks_volume_delta_tables, delta_table, elasticsearch, gcs, kafka-cloud, milvus, mongodb, motherduck, neo4j, onedrive, opensearch, pinecone, postgres, redis, qdrant-cloud, s3, snowflake, teradata, weaviate-cloud, ibm_watsonx_s3.Response
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/destinations/" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import ListDestinationsRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.destinations.list_destinations(
request=ListDestinationsRequest()
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import ListDestinationsRequest
async def list_destinations():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.destinations.list_destinations_async(
request=ListDestinationsRequest()
)
print(response)
asyncio.run(list_destinations())
[
{
"id": "d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"name": "My S3 Destination",
"key": "my-s3-destination-d1e2f3",
"type": "s3",
"config": {
"remote_url": "s3://my-bucket/output/",
"aws_access_key_id": "AKIAIOSFODNN7EXAMPLE",
"aws_secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
},
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-15T12:00:00Z"
}
]
Was this page helpful?

